apply plugin: 'walle'

android{
    defaultConfig{
        buildConfigField 'Boolean', 'IS_COLLECT_MODE', 'false'
        buildConfigField 'Boolean', 'IS_DIVERSION_MODE', 'false'
        buildConfigField 'Boolean', 'IS_KSP', 'false'
        //同盾采集SDK
        buildConfigField 'String', 'TONGDUN_PARENT_CODE', '\"\"'
        buildConfigField 'String', 'TONGDUN_PARENT_KEY', '\"\"'
        buildConfigField 'String', 'TONGDUN_APP_NAME', '\"\"'
        resValue('string', 'octopus_open_whatsapp', " Open Whatsapp")

        //同盾指纹SDK
        buildConfigField 'String', 'TONGDUN_DEVICE_PARENT_CODE', '\"\"'
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
    
    lintOptions {
        disable 'GoogleAppIndexingWarning'
    }
}

walle {
    // 指定渠道包的输出路径
    apkOutputFolder = new File("${project.buildDir}/outputs/channels")
    // 定制渠道包的APK的文件名称
    apkFileNameFormat = '${packageName}_${channel}.apk'
    // 渠道配置文件
    channelFile = new File("${project.getProjectDir()}/channel")
}
